> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ドメインを一覧表示

> 公開 API プリンシパルに表示される顧客ドメインを一覧表示します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: ドメインを一覧表示
      description: 公開 API プリンシパルに表示される顧客ドメインを一覧表示します。
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: このページのドメイン
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: 項目
          type: array
        page:
          description: 現在の 1 から始まるページ番号
          title: ページ
          type: integer
        page_size:
          description: ページあたりの最大アイテム数
          title: ページサイズ
          type: integer
        total:
          description: 一致するドメインの合計数
          title: 合計
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: ドメインListレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    DomainListRowResponse:
      description: 顧客向けドメイン一覧行。
      properties:
        auto_renew:
          default: false
          description: ドメインの自動更新が有効かどうか
          title: 自動更新
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: ドメイン作成のタイムスタンプ
          title: 作成日時
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 専用の IP UUID を割り当てます (存在する場合)
          title: 専用IP ID
        id:
          description: ドメイン UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: インバウンドテナントのプロバイダー外部 ID
          title: 受信テナント外部 ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: 受信テナント UUID (割り当てられている場合)
          title: 受信テナント ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 受信テナントの表示名 (割り当てられている場合)
          title: 受信テナント名
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: 受信テナント タイプ (割り当てられている場合)
          title: 受信テナントタイプ
        name:
          description: ドメイン名
          title: 名前
          type: string
        outbound_routing_ready:
          description: アウトバウンドルーティングの準備ができているかどうか
          title: 送信ルーティング準備完了
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: 設定されたリダイレクト モード (存在する場合)
          title: リダイレクトモード
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 設定されたリダイレクト URL (存在する場合)
          title: リダイレクト URL
        status:
          description: ドメインのライフサイクルステータス
          title: ステータス
          type: string
        tags:
          description: ドメインに付けられたタグ
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: タグ
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: ドメインの最終更新タイムスタンプ
          title: 更新日時
        workspace_id:
          description: ドメインを含むワークスペース UUID
          format: uuid
          title: ワークスペースID
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: ドメインListRowレスポンス
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
    DomainTagResponse:
      description: ドメインに付与されたタグ。
      properties:
        id:
          description: タグUUID
          format: uuid
          title: ID
          type: string
        name:
          description: タグの表示名
          title: 名前
          type: string
      required:
        - id
        - name
      title: ドメインTagレスポンス
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````